Page MenuHomePhabricator

Install Noto CJK (Source Han Sans) font family for SVG rendering
Closed, ResolvedPublic

Description

Please consider install Noto CJK (Source Han Sans) font family which provides seven font weights and contains most CJK characters in Unicode. The installation will significantly improve the quality of SVG images which include CJK characters. This font family is open source under SIL Open Font License 1.1.

Also since fonts-noto-cjk is still in backports for both jessie and trusty, I guess you need to add the packages to apt.wikimedia.org also.
Thanks,

Event Timeline

PhiLiP created this task.Jan 11 2016, 9:34 AM
PhiLiP raised the priority of this task from to Normal.
PhiLiP updated the task description. (Show Details)
PhiLiP added a subscriber: PhiLiP.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 11 2016, 9:34 AM
PhiLiP renamed this task from Install Source Han Sans font family (for SVG rendering) to Install Noto CJK (Source Han Sans) font family for SVG rendering.Jan 11 2016, 9:49 AM
PhiLiP updated the task description. (Show Details)
PhiLiP set Security to None.
PhiLiP updated the task description. (Show Details)Jan 11 2016, 9:55 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJan 13 2016, 10:27 AM
chasemp edited projects, added Operations; removed acl*sre-team.Jan 13 2016, 12:51 PM

OK... If there's anything I can do to help get this done? I mean I can even help to create pull-request to puppet.git.

@PhiLiP So yes, you're welcome to contribute code. There are two things to do:

  1. As you've already indicated, we need to import the package in our repository, as it has only been available since Debian Stretch
  2. Then, you can add the package to the list of the fonts packages in our Puppet repository

@yuvipanda What's the procedure to add a package to apt.wikimedia.org? https://wikitech.wikimedia.org/wiki/APT_repository seems to only document how to use the repository.

What's the procedure to add a package to apt.wikimedia.org? https://wikitech.wikimedia.org/wiki/APT_repository seems to only document how to use the repository.

@Dereckson:
<moritzm> best to file a phab task for it and add the "operations" project, only ops can add packages there
<moritzm> we're managing the repository with reprepro - https://wikitech.wikimedia.org/wiki/Reprepro

Change 296237 had a related patch set uploaded (by Muehlenhoff):
Install fonts-noto-cjk on jessie image scalers

https://gerrit.wikimedia.org/r/296237

Change 296237 merged by Muehlenhoff:
Install fonts-noto-cjk on jessie image scalers

https://gerrit.wikimedia.org/r/296237

@PhiLiP: fonts-noto-cjk is now installed on the eight image scaling servers running Debian jessie. It's not available on the eight trusty scalers we're running, but these will be disabled next week. As such, this is only fully effective next week.

PhiLiP added a comment.Jul 1 2016, 3:33 PM

@MoritzMuehlenhoff Great! Thanks for the work you did. I'll post this news
to Chinese community once you get rid of those trusty servers.

MoritzMuehlenhoff closed this task as Resolved.Jul 4 2016, 2:44 PM

@MoritzMuehlenhoff Great! Thanks for the work you did. I'll post this news to Chinese community once you get rid of those trusty servers.

@PhiLiP The trusty servers have now been disabled. Marking this task as closed.